package com.mdd.admin.vo.system;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("系统菜单Vo")
public class SystemAuthMenuVo implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("主键")
   private Integer id;
   @ApiModelProperty("上级菜单")
   private Integer pid;
   @ApiModelProperty("权限类型: [M=目录, C=菜单, A=按钮]")
   private String menuType;
   @ApiModelProperty("菜单名称")
   private String menuName;
   @ApiModelProperty("菜单图标")
   private String menuIcon;
   @ApiModelProperty("菜单排序")
   private Integer menuSort;
   @ApiModelProperty("权限标识")
   private String perms;
   @ApiModelProperty("路由地址")
   private String paths;
   @ApiModelProperty("前端组件")
   private String component;
   @ApiModelProperty("选中路径")
   private String selected;
   @ApiModelProperty("路由参数")
   private String params;
   @ApiModelProperty("是否缓存: [0=否, 1=是]")
   private Integer isCache;
   @ApiModelProperty("是否显示: [0=否, 1=是]")
   private Integer isShow;
   @ApiModelProperty("是否禁用: [0=否, 1=是]")
   private Integer isDisable;
   @ApiModelProperty("创建时间")
   private String createTime;
   @ApiModelProperty("更新时间")
   private String updateTime;

   public Integer getId() {
      return this.id;
   }

   public Integer getPid() {
      return this.pid;
   }

   public String getMenuType() {
      return this.menuType;
   }

   public String getMenuName() {
      return this.menuName;
   }

   public String getMenuIcon() {
      return this.menuIcon;
   }

   public Integer getMenuSort() {
      return this.menuSort;
   }

   public String getPerms() {
      return this.perms;
   }

   public String getPaths() {
      return this.paths;
   }

   public String getComponent() {
      return this.component;
   }

   public String getSelected() {
      return this.selected;
   }

   public String getParams() {
      return this.params;
   }

   public Integer getIsCache() {
      return this.isCache;
   }

   public Integer getIsShow() {
      return this.isShow;
   }

   public Integer getIsDisable() {
      return this.isDisable;
   }

   public String getCreateTime() {
      return this.createTime;
   }

   public String getUpdateTime() {
      return this.updateTime;
   }

   public void setId(Integer id) {
      this.id = id;
   }

   public void setPid(Integer pid) {
      this.pid = pid;
   }

   public void setMenuType(String menuType) {
      this.menuType = menuType;
   }

   public void setMenuName(String menuName) {
      this.menuName = menuName;
   }

   public void setMenuIcon(String menuIcon) {
      this.menuIcon = menuIcon;
   }

   public void setMenuSort(Integer menuSort) {
      this.menuSort = menuSort;
   }

   public void setPerms(String perms) {
      this.perms = perms;
   }

   public void setPaths(String paths) {
      this.paths = paths;
   }

   public void setComponent(String component) {
      this.component = component;
   }

   public void setSelected(String selected) {
      this.selected = selected;
   }

   public void setParams(String params) {
      this.params = params;
   }

   public void setIsCache(Integer isCache) {
      this.isCache = isCache;
   }

   public void setIsShow(Integer isShow) {
      this.isShow = isShow;
   }

   public void setIsDisable(Integer isDisable) {
      this.isDisable = isDisable;
   }

   public void setCreateTime(String createTime) {
      this.createTime = createTime;
   }

   public void setUpdateTime(String updateTime) {
      this.updateTime = updateTime;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof SystemAuthMenuVo)) {
         return false;
      } else {
         SystemAuthMenuVo other = (SystemAuthMenuVo)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label203: {
               Object this$id = this.getId();
               Object other$id = other.getId();
               if (this$id == null) {
                  if (other$id == null) {
                     break label203;
                  }
               } else if (this$id.equals(other$id)) {
                  break label203;
               }

               return false;
            }

            Object this$pid = this.getPid();
            Object other$pid = other.getPid();
            if (this$pid == null) {
               if (other$pid != null) {
                  return false;
               }
            } else if (!this$pid.equals(other$pid)) {
               return false;
            }

            Object this$menuSort = this.getMenuSort();
            Object other$menuSort = other.getMenuSort();
            if (this$menuSort == null) {
               if (other$menuSort != null) {
                  return false;
               }
            } else if (!this$menuSort.equals(other$menuSort)) {
               return false;
            }

            label182: {
               Object this$isCache = this.getIsCache();
               Object other$isCache = other.getIsCache();
               if (this$isCache == null) {
                  if (other$isCache == null) {
                     break label182;
                  }
               } else if (this$isCache.equals(other$isCache)) {
                  break label182;
               }

               return false;
            }

            label175: {
               Object this$isShow = this.getIsShow();
               Object other$isShow = other.getIsShow();
               if (this$isShow == null) {
                  if (other$isShow == null) {
                     break label175;
                  }
               } else if (this$isShow.equals(other$isShow)) {
                  break label175;
               }

               return false;
            }

            label168: {
               Object this$isDisable = this.getIsDisable();
               Object other$isDisable = other.getIsDisable();
               if (this$isDisable == null) {
                  if (other$isDisable == null) {
                     break label168;
                  }
               } else if (this$isDisable.equals(other$isDisable)) {
                  break label168;
               }

               return false;
            }

            Object this$menuType = this.getMenuType();
            Object other$menuType = other.getMenuType();
            if (this$menuType == null) {
               if (other$menuType != null) {
                  return false;
               }
            } else if (!this$menuType.equals(other$menuType)) {
               return false;
            }

            label154: {
               Object this$menuName = this.getMenuName();
               Object other$menuName = other.getMenuName();
               if (this$menuName == null) {
                  if (other$menuName == null) {
                     break label154;
                  }
               } else if (this$menuName.equals(other$menuName)) {
                  break label154;
               }

               return false;
            }

            Object this$menuIcon = this.getMenuIcon();
            Object other$menuIcon = other.getMenuIcon();
            if (this$menuIcon == null) {
               if (other$menuIcon != null) {
                  return false;
               }
            } else if (!this$menuIcon.equals(other$menuIcon)) {
               return false;
            }

            label140: {
               Object this$perms = this.getPerms();
               Object other$perms = other.getPerms();
               if (this$perms == null) {
                  if (other$perms == null) {
                     break label140;
                  }
               } else if (this$perms.equals(other$perms)) {
                  break label140;
               }

               return false;
            }

            Object this$paths = this.getPaths();
            Object other$paths = other.getPaths();
            if (this$paths == null) {
               if (other$paths != null) {
                  return false;
               }
            } else if (!this$paths.equals(other$paths)) {
               return false;
            }

            Object this$component = this.getComponent();
            Object other$component = other.getComponent();
            if (this$component == null) {
               if (other$component != null) {
                  return false;
               }
            } else if (!this$component.equals(other$component)) {
               return false;
            }

            label119: {
               Object this$selected = this.getSelected();
               Object other$selected = other.getSelected();
               if (this$selected == null) {
                  if (other$selected == null) {
                     break label119;
                  }
               } else if (this$selected.equals(other$selected)) {
                  break label119;
               }

               return false;
            }

            label112: {
               Object this$params = this.getParams();
               Object other$params = other.getParams();
               if (this$params == null) {
                  if (other$params == null) {
                     break label112;
                  }
               } else if (this$params.equals(other$params)) {
                  break label112;
               }

               return false;
            }

            Object this$createTime = this.getCreateTime();
            Object other$createTime = other.getCreateTime();
            if (this$createTime == null) {
               if (other$createTime != null) {
                  return false;
               }
            } else if (!this$createTime.equals(other$createTime)) {
               return false;
            }

            Object this$updateTime = this.getUpdateTime();
            Object other$updateTime = other.getUpdateTime();
            if (this$updateTime == null) {
               if (other$updateTime != null) {
                  return false;
               }
            } else if (!this$updateTime.equals(other$updateTime)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof SystemAuthMenuVo;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $pid = this.getPid();
      result = result * 59 + ($pid == null ? 43 : $pid.hashCode());
      Object $menuSort = this.getMenuSort();
      result = result * 59 + ($menuSort == null ? 43 : $menuSort.hashCode());
      Object $isCache = this.getIsCache();
      result = result * 59 + ($isCache == null ? 43 : $isCache.hashCode());
      Object $isShow = this.getIsShow();
      result = result * 59 + ($isShow == null ? 43 : $isShow.hashCode());
      Object $isDisable = this.getIsDisable();
      result = result * 59 + ($isDisable == null ? 43 : $isDisable.hashCode());
      Object $menuType = this.getMenuType();
      result = result * 59 + ($menuType == null ? 43 : $menuType.hashCode());
      Object $menuName = this.getMenuName();
      result = result * 59 + ($menuName == null ? 43 : $menuName.hashCode());
      Object $menuIcon = this.getMenuIcon();
      result = result * 59 + ($menuIcon == null ? 43 : $menuIcon.hashCode());
      Object $perms = this.getPerms();
      result = result * 59 + ($perms == null ? 43 : $perms.hashCode());
      Object $paths = this.getPaths();
      result = result * 59 + ($paths == null ? 43 : $paths.hashCode());
      Object $component = this.getComponent();
      result = result * 59 + ($component == null ? 43 : $component.hashCode());
      Object $selected = this.getSelected();
      result = result * 59 + ($selected == null ? 43 : $selected.hashCode());
      Object $params = this.getParams();
      result = result * 59 + ($params == null ? 43 : $params.hashCode());
      Object $createTime = this.getCreateTime();
      result = result * 59 + ($createTime == null ? 43 : $createTime.hashCode());
      Object $updateTime = this.getUpdateTime();
      result = result * 59 + ($updateTime == null ? 43 : $updateTime.hashCode());
      return result;
   }

   public String toString() {
      return "SystemAuthMenuVo(id=" + this.getId() + ", pid=" + this.getPid() + ", menuType=" + this.getMenuType() + ", menuName=" + this.getMenuName() + ", menuIcon=" + this.getMenuIcon() + ", menuSort=" + this.getMenuSort() + ", perms=" + this.getPerms() + ", paths=" + this.getPaths() + ", component=" + this.getComponent() + ", selected=" + this.getSelected() + ", params=" + this.getParams() + ", isCache=" + this.getIsCache() + ", isShow=" + this.getIsShow() + ", isDisable=" + this.getIsDisable() + ", createTime=" + this.getCreateTime() + ", updateTime=" + this.getUpdateTime() + ")";
   }
}
